namespace efl { namespace ui { 
inline ::efl::eolian::return_traits<bool>::type Win::indicator_enabled_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_indicator_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::indicator_enabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::efl_ui_win_indicator_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<Efl_Ui_Win_Indicator_Type>::type Win::indicator_type_get() const
{
   Efl_Ui_Win_Indicator_Type __return_value =  ::efl_ui_win_indicator_type_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Ui_Win_Indicator_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::indicator_type_set( ::efl::eolian::in_traits<Efl_Ui_Win_Indicator_Type>::type type) const
{
    ::efl_ui_win_indicator_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Win_Indicator_Type,  ::efl::eolian::in_traits<Efl_Ui_Win_Indicator_Type>::type>(type));
}
inline ::efl::eolian::return_traits<Efl_Ui_Win_Keyboard_Mode>::type Win::keyboard_mode_get() const
{
   Efl_Ui_Win_Keyboard_Mode __return_value =  ::efl_ui_win_keyboard_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Ui_Win_Keyboard_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::keyboard_mode_set( ::efl::eolian::in_traits<Efl_Ui_Win_Keyboard_Mode>::type mode) const
{
    ::efl_ui_win_keyboard_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Win_Keyboard_Mode,  ::efl::eolian::in_traits<Efl_Ui_Win_Keyboard_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits<bool>::type Win::screen_constrain_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_screen_constrain_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::screen_constrain_set( ::efl::eolian::in_traits<bool>::type constrain) const
{
    ::efl_ui_win_screen_constrain_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(constrain));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Win::focus_highlight_style_get() const
{
   const char * __return_value =  ::efl_ui_win_focus_highlight_style_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::focus_highlight_style_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type style) const
{
    ::efl_ui_win_focus_highlight_style_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(style));
}
inline ::efl::eolian::return_traits<bool>::type Win::focus_highlight_enabled_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_focus_highlight_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::focus_highlight_enabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::efl_ui_win_focus_highlight_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<bool>::type Win::focus_highlight_animate_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_focus_highlight_animate_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::focus_highlight_animate_set( ::efl::eolian::in_traits<bool>::type animate) const
{
    ::efl_ui_win_focus_highlight_animate_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(animate));
}
inline ::efl::eolian::return_traits<void>::type Win::prop_focus_skip_set( ::efl::eolian::in_traits<bool>::type skip) const
{
    ::efl_ui_win_prop_focus_skip_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(skip));
}
inline ::efl::eolian::return_traits<bool>::type Win::focus_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_focus_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Win::autodel_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_autodel_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::autodel_set( ::efl::eolian::in_traits<bool>::type autodel) const
{
    ::efl_ui_win_autodel_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(autodel));
}
inline ::efl::eolian::return_traits<bool>::type Win::autohide_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_autohide_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::autohide_set( ::efl::eolian::in_traits<bool>::type autohide) const
{
    ::efl_ui_win_autohide_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(autohide));
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Win::icon_object_get() const
{
    ::Efl_Canvas_Object const* __return_value =  ::efl_ui_win_icon_object_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::icon_object_set( ::efl::eolian::in_traits< ::efl::canvas::Object>::type icon) const
{
    ::efl_ui_win_icon_object_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(icon));
}
inline ::efl::eolian::return_traits<bool>::type Win::iconified_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_iconified_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::iconified_set( ::efl::eolian::in_traits<bool>::type iconified) const
{
    ::efl_ui_win_iconified_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(iconified));
}
inline ::efl::eolian::return_traits<bool>::type Win::maximized_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_maximized_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::maximized_set( ::efl::eolian::in_traits<bool>::type maximized) const
{
    ::efl_ui_win_maximized_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(maximized));
}
inline ::efl::eolian::return_traits<bool>::type Win::fullscreen_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_fullscreen_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::fullscreen_set( ::efl::eolian::in_traits<bool>::type fullscreen) const
{
    ::efl_ui_win_fullscreen_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(fullscreen));
}
inline ::efl::eolian::return_traits<bool>::type Win::sticky_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_sticky_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::sticky_set( ::efl::eolian::in_traits<bool>::type sticky) const
{
    ::efl_ui_win_sticky_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(sticky));
}
inline ::efl::eolian::return_traits<Efl_Ui_Win_Urgent_Mode>::type Win::urgent_get() const
{
   Efl_Ui_Win_Urgent_Mode __return_value =  ::efl_ui_win_urgent_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Ui_Win_Urgent_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::urgent_set( ::efl::eolian::in_traits<Efl_Ui_Win_Urgent_Mode>::type urgent) const
{
    ::efl_ui_win_urgent_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Win_Urgent_Mode,  ::efl::eolian::in_traits<Efl_Ui_Win_Urgent_Mode>::type>(urgent));
}
inline ::efl::eolian::return_traits<Efl_Ui_Win_Modal_Mode>::type Win::modal_get() const
{
   Efl_Ui_Win_Modal_Mode __return_value =  ::efl_ui_win_modal_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Ui_Win_Modal_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::modal_set( ::efl::eolian::in_traits<Efl_Ui_Win_Modal_Mode>::type modal) const
{
    ::efl_ui_win_modal_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Win_Modal_Mode,  ::efl::eolian::in_traits<Efl_Ui_Win_Modal_Mode>::type>(modal));
}
inline ::efl::eolian::return_traits<bool>::type Win::noblank_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_noblank_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::noblank_set( ::efl::eolian::in_traits<bool>::type noblank) const
{
    ::efl_ui_win_noblank_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(noblank));
}
inline ::efl::eolian::return_traits<bool>::type Win::borderless_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_borderless_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::borderless_set( ::efl::eolian::in_traits<bool>::type borderless) const
{
    ::efl_ui_win_borderless_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(borderless));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Win::role_get() const
{
   const char * __return_value =  ::efl_ui_win_role_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::role_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type role) const
{
    ::efl_ui_win_role_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(role));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Win::name_get() const
{
   const char * __return_value =  ::efl_ui_win_name_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::name_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name) const
{
    ::efl_ui_win_name_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name));
}
inline ::efl::eolian::return_traits<Efl_Ui_Win_Type>::type Win::type_get() const
{
   Efl_Ui_Win_Type __return_value =  ::efl_ui_win_type_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Ui_Win_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::type_set( ::efl::eolian::in_traits<Efl_Ui_Win_Type>::type type) const
{
    ::efl_ui_win_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Win_Type,  ::efl::eolian::in_traits<Efl_Ui_Win_Type>::type>(type));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Win::accel_preference_get() const
{
   const char * __return_value =  ::efl_ui_win_accel_preference_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::accel_preference_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type accel) const
{
    ::efl_ui_win_accel_preference_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(accel));
}
inline ::efl::eolian::return_traits<bool>::type Win::alpha_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_alpha_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::alpha_set( ::efl::eolian::in_traits<bool>::type alpha) const
{
    ::efl_ui_win_alpha_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(alpha));
}
inline ::efl::eolian::return_traits<bool>::type Win::socket_listen( ::efl::eolian::in_traits< ::efl::eina::string_view>::type svcname,  ::efl::eolian::in_traits<int>::type svcnum,  ::efl::eolian::in_traits<bool>::type svcsys) const
{
   Eina_Bool __return_value =  ::efl_ui_win_socket_listen(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(svcname)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(svcnum)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(svcsys));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::activate() const
{
    ::efl_ui_win_activate(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Win::raise() const
{
    ::efl_ui_win_raise(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Win::center( ::efl::eolian::in_traits<bool>::type h,  ::efl::eolian::in_traits<bool>::type v) const
{
    ::efl_ui_win_center(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(h)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(v));
}
inline ::efl::eolian::return_traits<bool>::type Win::keygrab_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type key,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type modifiers,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type not_modifiers,  ::efl::eolian::in_traits<int>::type proirity,  ::efl::eolian::in_traits<Efl_Ui_Win_Keygrab_Mode>::type grab_mode) const
{
   Eina_Bool __return_value =  ::efl_ui_win_keygrab_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(key)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(modifiers)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(not_modifiers)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(proirity)
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Win_Keygrab_Mode,  ::efl::eolian::in_traits<Efl_Ui_Win_Keygrab_Mode>::type>(grab_mode));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Win::keygrab_unset( ::efl::eolian::in_traits< ::efl::eina::string_view>::type key,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type modifiers,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type not_modifiers) const
{
   Eina_Bool __return_value =  ::efl_ui_win_keygrab_unset(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(key)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(modifiers)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(not_modifiers));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::teamwork_uri_preload( ::efl::eolian::in_traits< ::efl::eina::string_view>::type uri) const
{
    ::efl_ui_win_teamwork_uri_preload(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(uri));
}
inline ::efl::eolian::return_traits<void>::type Win::teamwork_uri_show( ::efl::eolian::in_traits< ::efl::eina::string_view>::type uri) const
{
    ::efl_ui_win_teamwork_uri_show(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(uri));
}
inline ::efl::eolian::return_traits<void>::type Win::teamwork_uri_hide() const
{
    ::efl_ui_win_teamwork_uri_hide(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Win::teamwork_uri_open( ::efl::eolian::in_traits< ::efl::eina::string_view>::type uri) const
{
    ::efl_ui_win_teamwork_uri_open(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(uri));
}
} } 
namespace eo_cxx {
namespace efl { namespace ui { 
inline ::efl::eolian::return_traits<bool>::type Win::indicator_enabled_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_indicator_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::indicator_enabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::efl_ui_win_indicator_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<Efl_Ui_Win_Indicator_Type>::type Win::indicator_type_get() const
{
   Efl_Ui_Win_Indicator_Type __return_value =  ::efl_ui_win_indicator_type_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Ui_Win_Indicator_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::indicator_type_set( ::efl::eolian::in_traits<Efl_Ui_Win_Indicator_Type>::type type) const
{
    ::efl_ui_win_indicator_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Win_Indicator_Type,  ::efl::eolian::in_traits<Efl_Ui_Win_Indicator_Type>::type>(type));
}
inline ::efl::eolian::return_traits<Efl_Ui_Win_Keyboard_Mode>::type Win::keyboard_mode_get() const
{
   Efl_Ui_Win_Keyboard_Mode __return_value =  ::efl_ui_win_keyboard_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Ui_Win_Keyboard_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::keyboard_mode_set( ::efl::eolian::in_traits<Efl_Ui_Win_Keyboard_Mode>::type mode) const
{
    ::efl_ui_win_keyboard_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Win_Keyboard_Mode,  ::efl::eolian::in_traits<Efl_Ui_Win_Keyboard_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits<bool>::type Win::screen_constrain_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_screen_constrain_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::screen_constrain_set( ::efl::eolian::in_traits<bool>::type constrain) const
{
    ::efl_ui_win_screen_constrain_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(constrain));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Win::focus_highlight_style_get() const
{
   const char * __return_value =  ::efl_ui_win_focus_highlight_style_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::focus_highlight_style_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type style) const
{
    ::efl_ui_win_focus_highlight_style_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(style));
}
inline ::efl::eolian::return_traits<bool>::type Win::focus_highlight_enabled_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_focus_highlight_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::focus_highlight_enabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::efl_ui_win_focus_highlight_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<bool>::type Win::focus_highlight_animate_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_focus_highlight_animate_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::focus_highlight_animate_set( ::efl::eolian::in_traits<bool>::type animate) const
{
    ::efl_ui_win_focus_highlight_animate_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(animate));
}
inline ::efl::eolian::return_traits<void>::type Win::prop_focus_skip_set( ::efl::eolian::in_traits<bool>::type skip) const
{
    ::efl_ui_win_prop_focus_skip_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(skip));
}
inline ::efl::eolian::return_traits<bool>::type Win::focus_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_focus_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Win::autodel_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_autodel_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::autodel_set( ::efl::eolian::in_traits<bool>::type autodel) const
{
    ::efl_ui_win_autodel_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(autodel));
}
inline ::efl::eolian::return_traits<bool>::type Win::autohide_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_autohide_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::autohide_set( ::efl::eolian::in_traits<bool>::type autohide) const
{
    ::efl_ui_win_autohide_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(autohide));
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Win::icon_object_get() const
{
    ::Efl_Canvas_Object const* __return_value =  ::efl_ui_win_icon_object_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::icon_object_set( ::efl::eolian::in_traits< ::efl::canvas::Object>::type icon) const
{
    ::efl_ui_win_icon_object_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(icon));
}
inline ::efl::eolian::return_traits<bool>::type Win::iconified_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_iconified_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::iconified_set( ::efl::eolian::in_traits<bool>::type iconified) const
{
    ::efl_ui_win_iconified_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(iconified));
}
inline ::efl::eolian::return_traits<bool>::type Win::maximized_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_maximized_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::maximized_set( ::efl::eolian::in_traits<bool>::type maximized) const
{
    ::efl_ui_win_maximized_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(maximized));
}
inline ::efl::eolian::return_traits<bool>::type Win::fullscreen_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_fullscreen_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::fullscreen_set( ::efl::eolian::in_traits<bool>::type fullscreen) const
{
    ::efl_ui_win_fullscreen_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(fullscreen));
}
inline ::efl::eolian::return_traits<bool>::type Win::sticky_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_sticky_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::sticky_set( ::efl::eolian::in_traits<bool>::type sticky) const
{
    ::efl_ui_win_sticky_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(sticky));
}
inline ::efl::eolian::return_traits<Efl_Ui_Win_Urgent_Mode>::type Win::urgent_get() const
{
   Efl_Ui_Win_Urgent_Mode __return_value =  ::efl_ui_win_urgent_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Ui_Win_Urgent_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::urgent_set( ::efl::eolian::in_traits<Efl_Ui_Win_Urgent_Mode>::type urgent) const
{
    ::efl_ui_win_urgent_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Win_Urgent_Mode,  ::efl::eolian::in_traits<Efl_Ui_Win_Urgent_Mode>::type>(urgent));
}
inline ::efl::eolian::return_traits<Efl_Ui_Win_Modal_Mode>::type Win::modal_get() const
{
   Efl_Ui_Win_Modal_Mode __return_value =  ::efl_ui_win_modal_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Ui_Win_Modal_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::modal_set( ::efl::eolian::in_traits<Efl_Ui_Win_Modal_Mode>::type modal) const
{
    ::efl_ui_win_modal_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Win_Modal_Mode,  ::efl::eolian::in_traits<Efl_Ui_Win_Modal_Mode>::type>(modal));
}
inline ::efl::eolian::return_traits<bool>::type Win::noblank_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_noblank_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::noblank_set( ::efl::eolian::in_traits<bool>::type noblank) const
{
    ::efl_ui_win_noblank_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(noblank));
}
inline ::efl::eolian::return_traits<bool>::type Win::borderless_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_borderless_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::borderless_set( ::efl::eolian::in_traits<bool>::type borderless) const
{
    ::efl_ui_win_borderless_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(borderless));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Win::role_get() const
{
   const char * __return_value =  ::efl_ui_win_role_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::role_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type role) const
{
    ::efl_ui_win_role_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(role));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Win::name_get() const
{
   const char * __return_value =  ::efl_ui_win_name_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::name_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name) const
{
    ::efl_ui_win_name_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name));
}
inline ::efl::eolian::return_traits<Efl_Ui_Win_Type>::type Win::type_get() const
{
   Efl_Ui_Win_Type __return_value =  ::efl_ui_win_type_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Ui_Win_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::type_set( ::efl::eolian::in_traits<Efl_Ui_Win_Type>::type type) const
{
    ::efl_ui_win_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Win_Type,  ::efl::eolian::in_traits<Efl_Ui_Win_Type>::type>(type));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Win::accel_preference_get() const
{
   const char * __return_value =  ::efl_ui_win_accel_preference_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::accel_preference_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type accel) const
{
    ::efl_ui_win_accel_preference_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(accel));
}
inline ::efl::eolian::return_traits<bool>::type Win::alpha_get() const
{
   Eina_Bool __return_value =  ::efl_ui_win_alpha_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::alpha_set( ::efl::eolian::in_traits<bool>::type alpha) const
{
    ::efl_ui_win_alpha_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(alpha));
}
inline ::efl::eolian::return_traits<bool>::type Win::socket_listen( ::efl::eolian::in_traits< ::efl::eina::string_view>::type svcname,  ::efl::eolian::in_traits<int>::type svcnum,  ::efl::eolian::in_traits<bool>::type svcsys) const
{
   Eina_Bool __return_value =  ::efl_ui_win_socket_listen(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(svcname)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(svcnum)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(svcsys));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::activate() const
{
    ::efl_ui_win_activate(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Win::raise() const
{
    ::efl_ui_win_raise(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Win::center( ::efl::eolian::in_traits<bool>::type h,  ::efl::eolian::in_traits<bool>::type v) const
{
    ::efl_ui_win_center(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(h)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(v));
}
inline ::efl::eolian::return_traits<bool>::type Win::keygrab_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type key,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type modifiers,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type not_modifiers,  ::efl::eolian::in_traits<int>::type proirity,  ::efl::eolian::in_traits<Efl_Ui_Win_Keygrab_Mode>::type grab_mode) const
{
   Eina_Bool __return_value =  ::efl_ui_win_keygrab_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(key)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(modifiers)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(not_modifiers)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(proirity)
      ,  ::efl::eolian::convert_to_c<Efl_Ui_Win_Keygrab_Mode,  ::efl::eolian::in_traits<Efl_Ui_Win_Keygrab_Mode>::type>(grab_mode));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Win::keygrab_unset( ::efl::eolian::in_traits< ::efl::eina::string_view>::type key,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type modifiers,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type not_modifiers) const
{
   Eina_Bool __return_value =  ::efl_ui_win_keygrab_unset(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(key)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(modifiers)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(not_modifiers));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Win::teamwork_uri_preload( ::efl::eolian::in_traits< ::efl::eina::string_view>::type uri) const
{
    ::efl_ui_win_teamwork_uri_preload(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(uri));
}
inline ::efl::eolian::return_traits<void>::type Win::teamwork_uri_show( ::efl::eolian::in_traits< ::efl::eina::string_view>::type uri) const
{
    ::efl_ui_win_teamwork_uri_show(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(uri));
}
inline ::efl::eolian::return_traits<void>::type Win::teamwork_uri_hide() const
{
    ::efl_ui_win_teamwork_uri_hide(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Win::teamwork_uri_open( ::efl::eolian::in_traits< ::efl::eina::string_view>::type uri) const
{
    ::efl_ui_win_teamwork_uri_open(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(uri));
}
inline efl::ui::Win::operator ::efl::ui::Win() const { return *static_cast< ::efl::ui::Win const*>(static_cast<void const*>(this)); }
inline efl::ui::Win::operator ::efl::ui::Win&() { return *static_cast< ::efl::ui::Win*>(static_cast<void*>(this)); }
inline efl::ui::Win::operator ::efl::ui::Win const&() const { return *static_cast< ::efl::ui::Win const*>(static_cast<void const*>(this)); }
} } }

